Subject: bug#21317: 25.0.50; frame-resize-pixelwise has no effect (GTK, no window manager)

From: martin rudalics <[email-masked]>
Date: Sat, 22 Aug 2015 08:40:43 +0200

> When starting Emacs (GTK build) on an X server which has no window
 > manager (such as a newly-created Xnest session), setting
 > `frame-resize-pixelwise' to t followed by a resize operation often has
 > no effect.

According to the manual

      Setting this variable usually causes the next resize operation to
      pass the corresponding size hints to the window manager.  This
      means that this variable should be set only in a user's initial
      file; applications should never bind it temporarily.

So it's possible that Xnest or some other X component refuses to resize
your frame because the size hints were set up inappropriately.

Does it also fail when `frame-resize-pixelwise' is set to t in your
initial file?

Does it fail when you set `frame-resize-pixelwise' to t, request an
integral resize first and a second non-integral one afterwards?

martin